Slack notification
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Slack notification action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "SLACK Action",
"type": "SLACK",
"trigger_time": "ON_EVERY_EXECUTION",
"content": "Pipeline Execution successful!",
"channel": "C024BE91L",
"attachments": [
"{\"fallback\":\"${BUDDY_PIPELINE_NAME} execution\",\"color\":\"${color}\",\"fields\":[{\"title\":\"Status\",\"value\":\"Success\"}]}"
],
"variables": [
{
"key": "color",
"value": "good"
}
],
"file_attachments": [
"fs:///file1",
"fs:///file2"
],
"integration": {
"identifier": "slack"
}
}'STATUS200 OK